%define name	javaws-menus
%define version	1.0
%define release	5jpp
%define section	free

Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		0
Summary:        Java Web Start menus
Group:		Development/Interpreters
Distribution:	JPackage
Vendor:		JPackage Project
License:	Sun Binary Code License
Url:		http://java.sun.com/products/javawebstart/
Source1:	javaws-16.png
Source2:	javaws-32.png
Source3:	javaws-48.png
Requires:	javaws
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	noarch

%description
Java Web Start menus.

%package -n javaws-mdkmenu
Summary:	Mandrake menu entry for Java Web Start
Group:		Development
Provides:	javaws-menu

%description -n javaws-mdkmenu
This is a Mandrake menu system entry for Java Web Start.

%package -n javaws-rhmenu
Summary:	Red Hat menu entry for Java Web Start
Group:		Development
Provides:	javaws-menu

%description -n javaws-rhmenu
This is a Red Hat menu system entry for Java Web Start.

%install
# mdk icons
install -D -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_liconsdir}/javaws.png
install -D -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_iconsdir}/javaws.png
install -D -m 644 %{SOURCE3} $RPM_BUILD_ROOT%{_miconsdir}/javaws.png

# mdk menu
install -d -m 755 $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/javaws <<EOF
?package(javaws):\
 command="%{_datadir}/javaws/javaws"\
 needs="X11"\
 section="Networking/Other"\
 mimetypes="application/x-java-jnlp-file"\
 title="Java Web Start"\
 longtitle="Java Web Start"\
 icon="javaws.png"
EOF

# rh icons
install -D -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/javaws.png
install -D -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps/javaws.png
install -D -m 644 %{SOURCE3} $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/16x16/apps/javaws.png

# rh menu
install -d -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/X11/applnk/Networking
cat >$RPM_BUILD_ROOT%{_sysconfdir}/X11/applnk/Networking/javaws.desktop <<EOF
[Desktop Entry]
Name=Java Web Start
Comment=Java Web Start
Exec=%{_datadir}/javaws/javaws
Terminal=0
Type=Application
Icon=javaws.png
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post -n javaws-mdkmenu
%{update_menus}

%postun -n javaws-mdkmenu
%{clean_menus}

%files -n javaws-mdkmenu
%defattr(0644,root,root,0755)
%{_menudir}/*
%{_iconsdir}/*.png
%{_miconsdir}/*.png
%{_liconsdir}/*.png

%files -n javaws-rhmenu
%defattr(0644,root,root,0755)
%{_sysconfdir}/X11/applnk/*/*
%{_datadir}/icons/*/*/apps/*

%changelog
* Thu May 08 2003 David Walluck <david@anti-microsoft.org> 0:1.0-5jpp
- update for JPackage 1.5

* Sat Mar 29 2003 David Walluck <david@anti-microsoft.org> 1.0-4jpp
- add %%clean section
- add Url tag

* Sat Mar 29 2003 David Walluck <david@anti-microsoft.org> 1.0-3jpp
- new icons

* Fri Mar 14 2003 David Walluck <david@anti-microsoft.org> 1.0-2jpp
- forgot the %%changelog
